declare @objectID int;
select @objectID = object_id from sys.triggers where parent_id = object_id(N'dbo.UserGroupInfo') and name= N'trUserGroupInfo';
declare @createOrAlter nvarchar(6);
set @createOrAlter = case when @objectID is null then N'create' else N'alter' end;
exec (@createOrAlter + N' trigger dbo.trUserGroupInfo
on dbo.UserGroupInfo after insert, update, delete
as 
begin
    update dbo.DatabaseInfo set ConnectionCacheID = newid(), IntelligentCacheID = newid()
end;');